SETLOCAL ENABLEDELAYEDEXPANSION

ECHO OFF
CLS
SET /a counter=0
SET format=flac
SET flac=0
SET ogg=0
SET mp3=0
IF EXIST doom_sc_d70_flac.zip (
	IF EXIST doom2_sc_d70_flac.zip (
		SET /a counter=counter+1
		SET format=flac
		SET flac=1
		)
	)
IF EXIST doom_sc_d70_ogg.zip (
	IF EXIST doom2_sc_d70_ogg.zip (
		SET /a counter=counter+1
		SET format=ogg
		SET ogg=1
		)
	)
IF EXIST doom_sc_d70_mp3.zip (
	IF EXIST doom2_sc_d70_mp3.zip (
		SET /a counter=counter+1
		SET format=mp3
		SET mp3=1
		)
	)
IF %counter% GTR 1 ( GOTO SELECT )
IF %counter% LEQ 0 ( GOTO COMPLAIN )

:UNPACK
7za x -y doom_sc_d70_%format%.zip Music\D_E1M2.%format% Music\D_E1M3.%format% Music\D_E1M6.%format% Music\D_E1M4.%format% Music\D_E1M9.%format% Music\D_E1M8.%format% Music\D_E2M1.%format% Music\D_E2M2.%format% Music\D_E3M3.%format% Music\D_E1M7.%format% Music\D_BUNNY.%format% Music\D_E3M8.%format% Music\D_E3M2.%format% Music\D_E2M8.%format% Music\D_E2M7.%format% Music\D_E2M9.%format% Music\D_E1M1.%format% Music\D_E1M5.%format% Music\D_VICTOR.%format%
7za x -y doom2_sc_d70_%format%.zip Music\D_MESSAG.%format% Music\D_MESSG2.%format% Music\D_READ_M.%format% Music\D_DDTBL3.%format% Music\D_AMPIE.%format% Music\D_THEDA3.%format% Music\D_ADRIAN.%format% Music\D_DM2TTL.%format% Music\D_DM2INT.%format%

:RENAME
cd Music
ren D_E1M2.%format% D_RUNNIN.%format%
ren D_E1M3.%format% D_STALKS.%format%
ren D_E1M6.%format% D_COUNTD.%format%
ren D_E1M4.%format% D_BETWEE.%format%
ren D_E1M9.%format% D_DOOM.%format%
copy D_E1M8.%format% D_EVIL.%format%
ren D_E1M8.%format% D_THE_DA.%format%
copy D_E2M1.%format% D_SHAWN.%format%
ren D_E2M1.%format% D_ROMER2.%format%
copy D_E2M2.%format% D_DDTBLU.%format%
ren D_E2M2.%format% D_TENSE.%format%
ren D_E3M3.%format% D_IN_CIT.%format%
copy D_E1M7.%format% D_DEAD.%format%
ren D_E1M7.%format% D_ROMERO.%format%
ren D_BUNNY.%format% D_STLKS2.%format%
ren D_E3M8.%format% D_THEDA2.%format%
ren D_E3M2.%format% D_DOOM2.%format%
copy D_E2M8.%format% D_DDTBL2.%format%
ren D_E2M8.%format% D_ULTIMA.%format%
ren D_E2M7.%format% D_RUNNI2.%format%
ren D_E2M9.%format% D_DEAD2.%format%
copy D_E1M1.%format% D_STLKS3.%format%
ren D_E1M1.%format% D_SHAWN3.%format%
ren D_E1M5.%format% D_SHAWN2.%format%
copy D_READ_M.%format% D_COUNT2.%format%
ren D_VICTOR.%format% D_OPENIN.%format%

cd..

:REPACK
7za a doomplut_sc_d70_%format%.zip music\*.* -mm=copy
RMDIR /S /Q Music
pause

GOTO EOF

:SELECT
ECHO.
ECHO ....................................
ECHO Multiple formats have been found. Which one do you want to convert?
ECHO ....................................
ECHO.
IF %flac%==1 ECHO FLAC = f
IF %ogg%==1 ECHO OGG = o
IF %mp3%==1 ECHO MP3 = m
ECHO.

SET /P N=Type the letter for the corresponding format to begin: 
IF /i %N%==F (
		SET "format=flac"
	) ELSE IF /i %N%==O (
		SET "format=ogg"
	) ELSE IF /i %N%==M (
		SET "format=mp3"
	) ELSE (
		CLS
		ECHO.
		ECHO ....................................
		ECHO Invalid format has been selected, please try again
		ECHO ....................................
		ECHO.
		GOTO SELECT
	)
GOTO UNPACK

:COMPLAIN
ECHO Not all necessary files have been found. You need the music packs from "Doom" and "Doom 2" in the same format (e.g. flac).
ECHO Exitting...
PAUSE
GOTO EOF

:EOF